Bug 843757 - Jenkins build becomes unavailable after moving a app with jenkins-client-1.4 embedded
Jenkins build becomes unavailable after moving a app with jenkins-client-1.4 ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 05:28 EDT by Jianwei Hou
Modified: 2015-05-14 22:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: devenv_1920
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen capture (70.19 KB, image/png)
2012-07-27 05:28 EDT, Jianwei Hou
no flags Details

  None (edit)
Description Jianwei Hou 2012-07-27 05:28:49 EDT
Created attachment 600730 [details]
screen capture

Description of problem:
Create an app with jenkins embedded, move this app with on disctrict. After move, jenkins build becomes unavaiable, have to go to jenkins web console to enable build project manually

Version-Release number of selected component (if applicable):
on devenv_1916

How reproducible:
Always

Steps to Reproduce:
1.Setup multi-node environment
2.Create a district, add two nodes to district
3.Create an application with jenkins embedded
4.Move this app from one node to another with the same district
5.Make some change and git push
  
Actual results:
Counting objects: 7, done.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 373 bytes, done.
Total 4 (delta 2), reused 0 (delta 0)
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jks-1916move1.dev.rhcloud.com/job/php1-build
remote: 
remote: ERROR - Couldn't schedule job
remote: !!!!!!!!
remote: Deployment Halted!
remote: If the build failed before the deploy step, your previous
remote: build is still running.  Otherwise, your application may be
remote: partially deployed or inaccessible.
remote: Fix the build and try again.
remote: !!!!!!!!
To ssh://839571dd7d1a4171a85c4f9f839aa18d@php1-1916move1.dev.rhcloud.com/~/git/php1.git/
   5a9ff0a..4c29f0c  master -> master

Go to jenkins web console, it shows:"This project is currently disabled"

Expected results:
Jenkins build should be successful


Additional info:

Have to go to jenkins web console to enable the build project, then jenkins build was OK
Comment 1 Dan McPherson 2012-07-27 14:13:30 EDT
Fixing today.
Comment 2 Dan McPherson 2012-07-27 14:29:00 EDT
https://github.com/openshift/crankcase/pull/292
Comment 3 Rony Gong 2012-07-30 01:45:08 EDT
verifier on devenv_1920
1.move app with jenkins client then git push
[root@localhost jbosstest]# git push
Counting objects: 3, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (2/2), 246 bytes, done.
Total 2 (delta 1), reused 0 (delta 0)
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jenkins-qgong1.dev.rhcloud.com/job/jbosstest-build
remote: 
remote: Waiting for build to schedule.....................................Done
remote: Waiting for job to complete..........................................................................................................Done
remote: SUCCESS
remote: New build has been deployed.
To ssh://bdc5d6de4c8a468a8b4b58d7f425019a@jbosstest-qgong1.dev.rhcloud.com/~/git/jbosstest.git/
   f7b5dd0..4c0d123  master -> master


2.move jenkins app then git push
[root@localhost jbosseaptest]# git push
Counting objects: 3, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (2/2), 225 bytes, done.
Total 2 (delta 1), reused 0 (delta 0)
remote: Executing Jenkins build.
remote: 
remote: You can track your build at https://jenkins-qgong1.dev.rhcloud.com/job/jbosseaptest-build
remote: 
remote: Waiting for build to schedule....Done
remote: Waiting for job to complete...............................................................................Done
remote: SUCCESS
remote: New build has been deployed.
To ssh://c8275a39b5ff4526948fb8bbff445006@jbosseaptest-qgong1.dev.rhcloud.com/~/git/jbosseaptest.git/
   76641ee..79b6279  master -> master

Note You need to log in before you can comment on or make changes to this bug.